Bug 29175 - finishreceive: Replace , by ;
Summary: finishreceive: Replace , by ;
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 8417
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-05 13:03 UTC by Marcel de Rooy
Modified: 2021-10-26 01:01 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.11


Attachments
Bug 29175: finishreceive: Replace , by ; (1.08 KB, patch)
2021-10-05 13:04 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 29175: finishreceive: Replace , by ; (1.09 KB, patch)
2021-10-06 11:46 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2021-10-05 13:03:10 UTC
Hang on
Comment 1 Marcel de Rooy 2021-10-05 13:04:58 UTC
Created attachment 125736 [details] [review]
Bug 29175: finishreceive: Replace , by ;

This certainly is one of my shortest fixes ever ;)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2021-10-05 13:05:35 UTC
Taking the liberty to pass this thru QA myself :)
Comment 3 Tomás Cohen Arazi 2021-10-05 19:08:55 UTC
(In reply to Marcel de Rooy from comment #2)
> Taking the liberty to pass this thru QA myself :)

How dare you.
Comment 4 David Cook 2021-10-05 22:41:57 UTC
I laughed when I read the original name, but now I'm curious how you even noticed this one. 

Perl critic?

I didn't even know until today that you could use a comma to put multiple calls into one single statement... at least not in this way I guess.
Comment 5 Marcel de Rooy 2021-10-06 06:22:49 UTC
(In reply to David Cook from comment #4)
> I laughed when I read the original name, but now I'm curious how you even
> noticed this one. 

Sharp sight, no lenses :)

> I didn't even know until today that you could use a comma to put multiple
> calls into one single statement... at least not in this way I guess.

You shouldnt do it.
Here are a few sad examples:

use Modern::Perl;
my $a = 1, ( print "$a \n" );
Use of uninitialized value $a in concatenation (.) or string at zz line 2.

use Modern::Perl;
my $c = 1, ( print "$c \n" );
Global symbol "$c" requires explicit package name (did you forget to declare "my $c"?) at zz line 2.
=> Please tell me the difference?

use Modern::Perl;
my $a = 1, my $b = 2, $a++, $b--, ( print "$a $b\n" );
1 -1
=> Clear enough, haha
Comment 6 Jonathan Druart 2021-10-06 07:13:36 UTC
That's crazy, I really would like to know the difference between $a and $c...
Comment 7 Tomás Cohen Arazi 2021-10-06 11:46:50 UTC
Created attachment 125778 [details] [review]
Bug 29175: finishreceive: Replace , by ;

This certainly is one of my shortest fixes ever ;)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 8 Jonathan Druart 2021-10-07 09:21:23 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 9 Kyle M Hall 2021-10-08 15:05:58 UTC
Pushed to 21.05.x for 21.05.05
Comment 10 Fridolin Somers 2021-10-21 06:04:43 UTC
Pushed to 20.11.x for 20.11.11
Comment 11 Victor Grousset/tuxayo 2021-10-26 01:01:53 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.